org.apache.tools.ant.taskdefs.optional.extension

## Interface ExtensionResolver

All Known Implementing Classes:
  AntResolver, LocationResolver, URLResolver

    public interface ExtensionResolver

Interface to locate a File that satisfies extension.

### Method Summary

Methods
`java.io.File` `resolve(Extension extension, Project project)` Attempt to locate File that satisfies extension via resolver.

### Method Detail

#### resolve

    java.io.File resolve(Extension extension,
                       Project project)
                         throws BuildException

Attempt to locate File that satisfies extension via resolver.

Parameters:
  `extension` - the extension
  `project` - the Ant project instance
Returns:
  the File satisfying extension, null if can not resolve extension
Throws:
  `BuildException` - if error occurs attempting to resolve extension